// -----------------------------------------------------------------------------
// This file contains all styles related to the button component.
// -----------------------------------------------------------------------------

.btn {
   @include heading-input($white, 500);
   display: inline-block;
   padding: 24px 48px;
   background-color: $black;
   transition: background-color .2s ease-in-out;

   &:hover {
      background-color: lighten($black, 40);
      text-decoration: none;

      .icon {
         transform: translateX(16px);
      }
   }

   .icon {
      width: 16px;
      margin-left: 16px;
      transition: transform .2s ease-in-out;
   }

      .icon__glyph {
         stroke: $white;
      }
}


.btn--link {
   color: $blue;
   padding: 0;
   background-color: transparent;

   &:hover {
      background-color: transparent;
      text-decoration: underline;
   }

   .icon__glyph {
      stroke: $blue;
   }
}







/* ==========================================================================
   $MEDIA-QUERIES
   ========================================================================== */


/* SMALLER MOBILE LAYOUT
----------------------------------------------- */
@include media-breakpoint-down(xsmall) {

}



/* SMALL MOBILE LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-down(small) {

}



/* MOBILE LAYOUT DOWN
----------------------------------------------- */
@include media-breakpoint-down(medium) {

}



/* TABLET LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(medium) {

}



/* TABLET LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(medium, large) {

}



/* DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(large) {

}



/* DESKTOP LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(large, xlarge) {

}



/* BIG DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xlarge) {

}



/* BIGER DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xxlarge) {

}




/* ==========================================================================
   $RETINA@2X
   ========================================================================== */

@include device-pixel-ratio(2) {

}



/* ==========================================================================
   $RETINA@3X
   ========================================================================== */

@include device-pixel-ratio(3) {

}